:root{
    --font-size: 15px;

    --texto-normal: #212121;
    --texto-white: #eeeeee;
    --bg-dark: #343a40;
    --bg-color: #d9d9d9;
    --border-gris: #cacaca;

}

/* Fuentes */

@font-face {
    font-family: 'h1-2-3';
    src: url('./fonts/KaushanScript-Regular.ttf')
}
@font-face {
    font-family: 'h4';
    src: url('./fonts/VT323-Regular.ttf')
}
h1, h2, h3{font-family: 'h1-2-3'}
h4{font-family: 'h4'}
.h1, h1{font-size: 3em}
.h2, h2{font-size: 2.2em}
.h3, h3{font-size: 1.9em}
.h4, h4{font-size: 1.7em}

html{font-size: var(--font-size);width: 100%;height: 100%}
body{font-size: 1rem;background-color: var(--bg-color)}
body > hr{margin: 0 -15px}

.section-gap{padding-top: 120px}
.pb-40{padding-bottom: 40px}
.mb-10{margin-bottom: 10px}
.mt-40{margin-top: 40px}
/* Banner */
#banner{
    height: 650px;
    background-color: #343a40;
    color: var(--texto-white);
    position: relative
}
#banner > .banner-img{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    background: url('./img/creative-bg.png') no-repeat center;
    background-size: 100% 100%;
}
@media screen and (max-width: 576px), print{
    #banner{height: auto}
}

/* Header/Navegador */
.navegador{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1005;
    transition: .3s linear all;
    padding-bottom: 2px;
    overflow: hidden
}
.navegador.is-sticky{position: fixed}

.navegador img{height:54px}

.navegador h1{color: var(--texto-white);margin:0}
.navegador h1 > a{text-decoration:none;color: var(--texto-white)}
.navegador h1 span{transition: .2s linear color}
.navegador h1 > a > span > span{color: #21c2e1}

@media screen and (min-width: 768px), print{
    .navegador h1 > a > span > span:hover {
        /* Coloco la transición aquí, porque de ponerla en all en móviles, al momento de hacer resize se tarda
        el cambio de tamaño durante la transición y hace que el separador-svg no se adapte correctamente.
        */
        transition-property: all;
        padding: 0 2px
    }
}

.navegador{background: transparent}
.navegador.is-sticky{background: var(--bg-dark)}

.navegador ul{list-style: none;padding: 0}

.navegador ul li a{
    display: block;
    height: 100%;
    text-transform: uppercase;
    font-weight: bold;
    padding: 1em;
    text-decoration: none;
    color: var(--texto-white);
    position: relative;
    font-family: 'h2-3-4'
}

.navegador ul li a::before{
    content: '';
    height: 4px;
    width: 0;
    background-color: #21c2e1;
    border-radius: 50%;
    position: absolute;
    bottom: 2px;
    left: 0;
    transition: .3s linear all
}
.navegador ul li a:hover::before{width: 100%}

.toggle-nav{
    padding: 0.25rem 0.75rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 0.25rem;

    display: none;
    width: 2.3em;
    height: 2.3em;
    vertical-align: middle;
    content: "";
    background: no-repeat center center;
    background-size: 100% 100%;

    background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(255, 255, 255, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");    
}
@media screen and (max-width: 768px), print{
    .navegador{flex-direction:column}
}
@media screen and (max-width: 576px), print{
    .toggle-nav:hover{background-color: rgba(46, 109, 153, .5);transition: .2s linear all}
    #check-menu:checked + .navegador{background-color: var(--bg-dark)!important}
    #check-menu:checked + .navegador > .row > label > .toggle-nav{
        transform: rotate(90deg)
    }
    nav.menubar{
        overflow: hidden;
        transition: .2s linear height
    }
    #check-menu:not(:checked) + .navegador > .row > nav.menubar{height: 0px}
    #check-menu:checked + .navegador > .row > nav.menubar{height:216px}
    .navegador img{height: 1.4em}
    .navegador ul{
        flex-direction: column;
        text-align: center;
        justify-content: center;
    }

    .toggle-nav{display: block}
    .logo{width: 1.3em}
}

.logo:hover img{transform: scale(1.1)}

.border-left-vr{border-left: 1px solid rgba(0,0,0,.1)}

/* Nuestros proyectos */
.reverse-mobile{color: #eee}
.bg-tierra{background-color: #736053}

.map{
    display: flex;
    justify-content: center;
    align-items: center
}
.map-bg{
    z-index: 1;
    width: 100%
}

.map-over{
    z-index: 2;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transition: .2s linear all
}

@media screen and (min-width: 768px){
    .map-over{
        filter: grayscale(1);
        opacity: 0.025;

    }
    /* Al poner el mouse encima en la imágen aparecerá la grama terminada, todo con mejores sombreados. */
    .map:hover .map-over{opacity: 1;filter: grayscale(0)}
}

@media screen and (max-width: 576px){.map-over{opacity: 1!important}}

/* SEPARADOR */

.separador
{
	display: flex;
    align-items: center;
    border-radius: 50%
}
.separador.separador-v{height: 100%}
.separador *{background: #21c2e1;box-shadow: #21c2e1 0 0 20px}
.separador *.bg-dark{box-shadow: var(--bg-dark) 0 0 20px}
.separador .separador{
    height: 4px;
    width: 100%;
}
.separador .separador-v{
    height: 100%;
    width: 4px;
    border-radius: 50%
}

.separador-svg{
    background: url(./svg/separador.svg) repeat-x;
    height: 29px
}
.separador-svg.st{position: sticky;top: 66px;left: 0;z-index: 1001}
.translateY--16px{transform: translateY(-16px)}
.translateY-1px{transform: translateY(1px)}

/* Información */
.patreon-boton ._2KV-widgets-shared--patreonWidgetWrapper > div{
    display: flex;
    justify-content: center
}

/* Redes */
[follow-tw]{display: flex;align-items: center;justify-content: space-evenly}

/* Footer */
.social-icons{
    padding: 1em 0;
}

.social-icons{
    display: inline-flex;
    align-self: center;
}
.social-icons a{color: var(--texto-white);margin:0 .3em}
.social-icons a:hover{color: var(--texto-normal)}

.social-icons > a > .icon-container{
    border: 2px solid var(--bg-color);
    background-color: var(--bg-dark);
    border-radius: 100%;
    height: 100%;
    padding: .6em;
    transition: .2s linear background
}
.social-icons a:hover > .icon-container{background-color: var(--bg-color);border-color: var(--bg-dark)}

.social-icons > a > .icon-container > svg {
    height: 1.5em;
    width: 1.5em;
    fill: currentColor;
}

.img-footer-logo{
    width: 50%;
}

@media screen and (max-width: 768px), print{
    .img-footer-logo{
        width: 100%
    }
    .h1, h1{font-size: 2.3em}
    .h2, h2{font-size: 1.9em}
    .h3, h3{font-size: 1.5em}
    .h4, h4{font-size: 1.6em}
}

@import url("./estilos-mas.css");

/* Esto lo oculta de la vista, pero no lo detectan b0ts. Perfecto para SEO.*/
.oculto-visualmente{
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px
}